Xüsusi domenlər
GET https://digily.link/api/domains/
curl --request GET \
--url 'https://digily.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış sətri. |
| search_by | İstəyə bağlı Sətir | Hansı sahə üzrə axtarırsınız. İcazə verilən dəyərlər bunlardır: host. |
| is_enabled | İstəyə bağlı Məntiqi dəyər | |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq. İcazə verilən dəyərlər bunlardır: domain_id , datetime , last_datetime , host. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər bunlardır: artan sıralama üçün ASC və azalan sıralama üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Defolt olaraq 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifə başına neçə nəticə istəyirsiniz. İcazə verilən dəyərlər: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standart olaraq 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-23 22:44:39",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/domains?page=1",
"last": "https://digily.link/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/domains?page=1"
}
}
GET https://digily.link/api/domains/{domain_id}
curl --request GET \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-23 22:44:39",
}
}
POST https://digily.link/api/domains
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| host | Tələb olunur Sətir | - |
| custom_index_url | İstəyə bağlı Sətir | - |
| custom_not_found_url | İstəyə bağlı Sətir | - |
curl --request POST \
--url 'https://digily.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://digily.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://digily.link/api/domains/{domain_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| host | İstəyə bağlı Sətir | - |
| custom_index_url | İstəyə bağlı Sətir | - |
| custom_not_found_url | İstəyə bağlı Sətir | - |
curl --request POST \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/domains/{domain_id}
curl --request DELETE \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \